# MySQL-Front Dump 1.16 beta
#
# Host: localhost Database: planeshift
#--------------------------------------------------------
# Server version 3.23.52-max-nt
#
# Table structure for table 'trade_processes'
#

CREATE TABLE trade_processes (
  process_id int(10) unsigned NOT NULL auto_increment,
  name varchar(40) default NULL,				# process name
  animation varchar(30) ,                                       # transformation animation
  render_effect CHAR(32) default NULL,                          # transformation render effect
  workitem_id int(10) unsigned NOT NULL,                        # target item to complete transformation
  equipment_id int(10) unsigned  ,                              # required equipted item
  constraints varchar(64) NOT NULL DEFAULT '',                  # constraints that apply to transformation
  garbage_id int(10) unsigned ,                                 # garbage item for flubbed transformations
  garbage_qty int(8) unsigned ,                                 # garbage quantity for flubbed transformations
  primary_skill_id int(10) ,                                    # primary skill for transformation
  primary_min_skill int(8) unsigned ,                           # minimum primary skill level required to perform transformation, 0 is no minimum
  primary_max_skill int(8) unsigned ,                           # maximum primary skill level at which practice and quality are effected, 0 is no maximum
  primary_practice_points int(4) ,                              # number of practice primary skill points gained for performing transformation
  primary_quality_factor int(3) unsigned DEFAULT '0' ,          # percentage of the primary skill range that applies to quality
  secondary_skill_id int(10) unsigned ,                         # secondary skill foriegn key
  secondary_min_skill int(8) unsigned ,                         # minimum secondary skill level required to perform transformation, 0 is no minimum
  secondary_max_skill int(8) unsigned ,                         # maximum secondary skill level at which practice and quality are effected, 0 is no maximum
  secondary_practice_points int(4) ,                            # number of practice secondary skill points gained for performing transformation
  secondary_quality_factor int(3) unsigned ,                    # percentage of the secondary skill range that applies to quality
  description varchar(255) NOT NULL DEFAULT '' ,
  PRIMARY KEY (process_id)
);


#
# Dumping data for table 'trade_processes'
#

INSERT INTO trade_processes VALUES(1,"Mix","greet","",70,65,'',75,1,39,0,10,4,15,38,0,20,2,30,'Mix in mixing bowl.');
INSERT INTO trade_processes VALUES(2,"Mix 1AM","greet","",70,65,"TIME(13:00:00)",75,1,39,0,10,4,15,38,0,20,2,30,'Mix in mixing bowl at 13:00.');
INSERT INTO trade_processes VALUES(3,"Mix with mixer","greet","",70,90,'',75,1,39,500,600,4,15,38,0,20,2,30,'Mix in mixing bowl with mixer.');
INSERT INTO trade_processes VALUES(4,"Bake","greet","",74,0,'',75,1,39,0,20,6,15,38,0,40,3,50,'Bake in oven.');
INSERT INTO trade_processes VALUES(5,"Blast","greet","",4815,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'Blast in forge.');
INSERT INTO trade_processes VALUES(6,"Hammer","greet","",4811,4816,'',0,0,0,0,0,0,0,0,0,0,0,0,'Hammer on anvil.');
INSERT INTO trade_processes VALUES(7,"Mold cast","greet","",119,0,'',0,0,0,0,0,0,0,0,0,0,0,0,'Use a casting mold.');

