/*
 * Author: Andrew Mann
 *
 * Copyright (C) 2004 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef __GUI_COLORROW_DOT_H__
#define __GUI_COLORROW_DOT_H__

#include "imesh/particles.h"
#include "paws/pawswidget.h"


#include "paws/pawswidget.h"

class pawsEditTextBox;
class pawsTextBox;
class pawsButton;
class pawsListBox;
class guiParticleSystem;


class guiColorRow : public pawsWidget
{
public:
    guiColorRow(PawsManager* manager);
    virtual ~guiColorRow();

    // implemented virtual functions from pawsWidgets
    virtual bool PostSetup();
    virtual bool OnButtonPressed(int mouseButton, int keyModifier, pawsWidget* widget);
    virtual void SetParentParticleSystem(guiParticleSystem *parent_partsys) { parent_particle_system=parent_partsys; }
    virtual bool OnChange(pawsWidget * widget);

    virtual csColor GetColor();
    virtual void SetColor(csColor col);


protected:
    pawsSpinBox *spinbox_red,*spinbox_green,*spinbox_blue;
    pawsButton *button_remove;
    guiParticleSystem *parent_particle_system;

};

CREATE_PAWS_FACTORY( guiColorRow );



#endif // #ifndef __GUI_COLORROW_DOT_H__



