/*
 * Author: Andrew Mann
 *
 * Copyright (C) 2004 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef __GUI_MATERIAL_DOT_H__
#define __GUI_MATERIAL_DOT_H__

class PVResourceManager;
class PVMaterialTracker;

#include "paws/pawsfilenavigation.h"

class pawsMultiLineTextBox;

class guiMaterialList : public pawsWidget
{
public:
    guiMaterialList(PawsManager* manager);
    virtual ~guiMaterialList();

    // implemented virtual functions from pawsWidgets
    virtual bool PostSetup();
    virtual bool OnButtonPressed(int mouseButton, int keyModifier, pawsWidget* widget);
    virtual void OnListAction( pawsListBox* selected, int status );
//    virtual bool OnButtonReleased( int button, pawsWidget* widget);
//    virtual bool OnChange(pawsWidget * widget);
//    virtual void OnLostFocus();
//    virtual bool OnKeyDown( int keyCode, int key, int modifiers );

    virtual bool UpdateMaterialList();
    virtual PVMaterialTracker *GetSelectedMaterial();
    virtual bool DescribeMaterial(PVMaterialTracker *material_tracker);
    virtual void DoTimedChecks();


protected:
    PVResourceManager *resource_manager;
    pawsListBox *listbox_materialnames;
    pawsButton *button_close;
    pawsMultiLineTextBox *textbox_description;
    pawsButton *button_loadlibrary;
    pawsFileNavigation *window_filenav;

    bool load_outstanding;


};

CREATE_PAWS_FACTORY( guiMaterialList );





#endif // #ifndef __GUI_MATERIAL_DOT_H__


