/*
 * texparse.h by Jeromy Walsh <jwalsh@fidnet.com>
 *
 * Copyright (C) 2002 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef __TEXPARSE_H__
#define __TEXPARSE_H__

struct csRGBcolor;
struct iLoader;
struct iImageIO;
struct iVFS;

class  psImageRegion;

class psTxPrtParse
{
public:
    psTxPrtParse();
    ~psTxPrtParse();

    bool Initialize(int argc, const char* const argv[]);
    void Start();

    iObjectRegistry *   object_reg;

protected:
    // Protected Functions
    csRGBcolor  TransColor(char const *arg);
    csPtr<iImage> LoadImage(const char *fname, int Format);
    int         VerifyCmdLine();
    void        CreateScanLines();
    void        PrintUsage();
    void        WriteFile();
    
    // Protected Variables
    csRef<iImageIO>     ImageLoader;
    csRef<iLoader>      loader;
    csRef<iVFS>         VFS;
    
    csRGBcolor *        colormask;
    psImageRegion *     region;
    char *              outname;
    char *              filename;
    char *              race;
    int *               scanlines;
    int                 cmdOptions;
};

#endif // __TEXPARSE_H__

