/*
 * change.cpp by Matthias Braun <matze@braunis.de>
 *
 * Copyright (C) 2002 Atomic Blue (info@planeshift.it, http://www.atomicblue.org) 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#include <psconfig.h>

#include <csutil/util.h>
#include "change.h"

#include "updaterglobals.h"

namespace updater
{

Change::Change ()
    : module(0)
{
}

Change::Change (Type ntype, const char* modulename, RegistryFile* newfile)
    : type(ntype)
{
    file = newfile;
    module = csStrNew(modulename);
}

Change::Change (const Change& other)
    : type(other.type), file(other.file)
{
    module = csStrNew(other.module);
}

Change::~Change ()
{
    delete[] module;
}

}
