/*
 * changelist.h by Matthias Braun <matze@braunis.de>
 *
 * Copyright (C) 2002 Atomic Blue (info@planeshift.it, http://www.atomicblue.org) 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef __UPDATER_CHANGELIST_H__
#define __UPDATER_CHANGELIST_H__

#include <csutil/array.h>

#include "change.h"

struct iDocumentNode;

namespace updater
{

/** Keeps a list of changes/differences after a Compare run
 */
class ChangeList : public csArray<Change>
{
public:
    ChangeList ();
    ~ChangeList ();

    /// For later when we're having a separate updater/downloader
    bool Save (iDocumentNode* node);
    bool Load (iDocumentNode* node);

    /// Prints the changelist on screen
    csString CreateList (bool print);
};

} // end of namespace updater

#endif

