/*
 * sortarray.h by Matthias Braun <matze@braunis.de>
 *
 * Copyright (C) 2002 Atomic Blue (info@planeshift.it, http://www.atomicblue.org) 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef __UPDATER_ARRAYSORT_H__
#define __UPDATER_ARRAYSORT_H__

#include <csutil/array.h>
#include <stdlib.h>

namespace updater
{

template<class T>
int _compare_arrayelems (const void* a, const void* b)
{                                                         
  const T* first = (const T*) a;
  const T* second = (const T*) b;

  return (*first < *second) ? -1 : 1;
}

template<class T>
void SortArray (csArray<T>& array)
{
    if (array.Length())
    qsort (& array[0], array.Length(), sizeof(T), _compare_arrayelems<T>);
}

} // end of namespace updater

#endif

